/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#include "App.h"
#include "Window.h"
#include "Button.h"
#include "CheckBox.h"
#include "Label.h"
#include "SpinBox.h"

#include "mForm.h"
#include "mFrame.h"
#include "mRowCol.h"

#include "ScrollArea.h"
#include "DrawArea.h"
#include "Image.h"
#include "Idle.h"

#include <iostream.h>

xwApp* app;
class main_form* mainform;


class main_form : public xwHandler
   {public:
	xwWindow*	form;
	xwWidget*   cmd_area;


	main_form()
	   {
	    form = new xwWindow(app, "Image");
	    form.setSize(400, 400);

	    scroll = new xwVScrollArea(form);
	    scroll->setRange(512, 512);
	    scroll->setHandler(this, 0);

	    cmd_area = new xwmRowCol(form, xwmRowCol::horizontal, 1);
	    form->addCommand(cmd_area);

	   }


   };


int main(int argc, char** argv)
   {
    app = new xwApp("Image", argc, argv);

    mainform = new main_form();

    app->start();
    return 0;
   }

